var area, url, type;

var els = document.querySelectorAll('.ou-app-menu li');

for (var i = els.length; i--; ) {
    els[i].addEventListener('click', function () {

        toType = this.dataset.type;
        area = this.dataset.area;
        var query = {active: true, currentWindow: true};

        chrome.tabs.query(query, cb);
    });
}

function cb(tabs) {
    var currentTab = tabs[0];
    url = currentTab.url;

    switch (area) {
        case 'page':
            chrome.runtime.sendMessage({event: 'doScreenShotFull', currentTab: currentTab, toType: toType, url: url});
            break;
        case 'selection':
            chrome.runtime.sendMessage({event: 'doScreenShotSelection', currentTab: currentTab, toType: toType, url: url});
            break;
        case 'viewport':
            chrome.runtime.sendMessage({event: 'doScreenShotViewport', currentTab: currentTab, toType: toType, url: url});
            break;
    }

    window.close();
}
